Public Member Functions
RenderChannel Class Reference

## Detailed Description

A render channel is a container for rendered image data output. The channel describes what kind of data can be recorded into it.

There are two types of channels:

- renderer-provided
  The renderer-provided type consists of channels that are explicitly provided by the rendering engine (such as the main render output and a depth output).

- user-defined
  User-defined channels are used in conjunction with shaders which can be set to record any data into those channels, depending on their channel type, or any other mechanism that the rendering engine provides.

Since:
  6.0

`#include <xsi_renderchannel.h>`

Inheritance diagram for RenderChannel:
[legend]

List of all members.

## Public Member Functions
| RenderChannel ()
| ~RenderChannel ()
| RenderChannel (const CRef &in_ref)
| RenderChannel (const RenderChannel &in_obj)
bool | IsA (siClassID in_ClassID) const
siClassID | GetClassID () const
RenderChannel & | operator= (const RenderChannel &in_obj)
RenderChannel & | operator= (const CRef &in_ref)
siRenderChannelType | GetChannelType ()
bool | GetUserDefined ()

## Constructor & Destructor Documentation

RenderChannel | ( |  | ) |

Default constructor.

~RenderChannel | ( |  | ) |

Default destructor.

RenderChannel | ( | const CRef & | in_ref | ) |

Constructor.

Parameters:

  in_ref | constant reference object.

RenderChannel | ( | const RenderChannel & | in_obj | ) |

Copy constructor.

Parameters:

  in_obj | constant class object.

## Member Function Documentation

bool IsA | ( | siClassID | in_ClassID | ) | const`[virtual]`

Returns true if a given class type is compatible with this API class.

Parameters:

  in_ClassID | class type.

Returns:
  true if the class is compatible, false otherwise.

Reimplemented from SIObject.

siClassID GetClassID | ( |  | ) | const`[virtual]`

Returns the type of the API class.

Returns:
  The class type.

Reimplemented from SIObject.

RenderChannel& operator= | ( | const RenderChannel & | in_obj | ) |

Creates an object from another object. The newly created object is set to empty if the input object is not compatible.

Parameters:

  in_obj | constant class object.

Returns:
  The new RenderChannel object.

RenderChannel& operator= | ( | const CRef & | in_ref | ) |

Creates an object from a reference object. The newly created object is set to empty if the input reference object is not compatible.

Parameters:

  in_ref | constant class object.

Returns:
  The new RenderChannel object.

Reimplemented from SIObject.

siRenderChannelType GetChannelType | ( |  | ) |

Returns the basic data type which the render channel will consist of. The basic data type indicates also how the data will be interpreted by XSI for display purposes and which image output formats will be available on any Framebuffer object that derives from this render channel.

Returns:
  The data type of the render channel.

See also:
  Framebuffer siRenderChannelType

bool GetUserDefined | ( |  | ) |

Indicates whether this channel was created by the user and can be deleted or that it was created by the rendering engine and is permanent.

User-defined channels are also used in the render tree for piping render data into.

Returns:
  True if user-defined; false if provided by the renderer.

See also:
  Framebuffer

The documentation for this class was generated from the following file:

- xsi_renderchannel.h